package com.xjrsoft.common.enums;

/**
 * 工作流事件类型
 * @Author: tzx
 * @Date: 2023/6/7 14:15
 */
public enum WorkflowEventType {
    /**
     * 开始事件
     */
    START(0, "start"),

    /**
     * 结束事件
     */
    END(1, "end");

    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    WorkflowEventType(final int code, final String message) {
        this.code = code;
        this.value = message;
    }
}
